
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #766

Files not deleted physically when using "Service, delete selected files"

January 15, 2018 01:26 - Rafael Linux User

Status: Rejected Start date: January 15, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

From some version to latest, Audacious deletion is no deleting files physically, only in the playlist.

Audacious 3.9 on OpenSUSE 42.3

History

#1 - January 15, 2018 14:39 - John Lindgren

"From some version to latest"

 

Be more specific.  What is the last version that works for you?

Please attach:

1) Your configuration file ($HOME/.config/audacious/config)

2) The output of "audacious -V" when trying to delete a file

#2 - January 15, 2018 14:39 - John Lindgren

- Category deleted (core)

#3 - January 15, 2018 23:29 - Rafael Linux User

I noticed the issue recently, but can't be sure on which version it began to fail, cause my system updated at least three times in past months, and I

don't know how much times Audacious was updated.

1) configuration output

[alsa]

mixer-element=Master

[amidiplug]

alsa_mixer_ctl_name=Master

ap_seq_backend=fluidsynth

fsyn_soundfont_file=/home/bin/JV1080_Nice_Piano_m.sf2

fsyn_synth_chorus=1

fsyn_synth_gain=2

fsyn_synth_polyphony=256

fsyn_synth_reverb=1

[aosd]

May 04, 2025 1/11



position_multimon_id=1

position_placement=5

transparency_mode=1

[audacious]

advance_on_delete=TRUE

enable_replay_gain=FALSE

equalizer_active=TRUE

equalizer_bands=1,1,-1,0,2,0,0,0,6,3

equalizer_preamp=-2

generic_title_format=${title} (${artist})

record=FALSE

software_volume_control=TRUE

sw_volume_left=48

sw_volume_right=48

[audgui]

about_win=2161,233,726,483

eq_preset_win=2775,575,413,340

equalizer_win=2549,97,344,306

filebrowser_win=2076,157,700,450

info_win=372,342,705,475

url_opener_win=2314,446,480,128

[bs2b]

fcut=650

feed=95

[crossfade]

automatic=FALSE

[globalHotkey]

Hotkey_0_event=0

Hotkey_0_key=112

Hotkey_0_mask=12

Hotkey_0_type=0

Hotkey_1_event=1

Hotkey_1_key=110

Hotkey_1_mask=12

Hotkey_1_type=0

Hotkey_2_event=2

Hotkey_2_key=127

Hotkey_2_mask=12

Hotkey_2_type=0

Hotkey_3_event=3

Hotkey_3_key=115

Hotkey_3_mask=12

Hotkey_3_type=0

Hotkey_4_event=4

Hotkey_4_key=117

Hotkey_4_mask=12

Hotkey_4_type=0

Hotkey_5_event=7

Hotkey_5_key=121

Hotkey_5_mask=0

Hotkey_5_type=0

Hotkey_6_event=8

Hotkey_6_key=111

Hotkey_6_mask=12

Hotkey_6_type=0

Hotkey_7_event=9

Hotkey_7_key=116

Hotkey_7_mask=12

Hotkey_7_type=0

Hotkey_8_event=6

Hotkey_8_key=113

Hotkey_8_mask=12

Hotkey_8_type=0

Hotkey_9_event=5

Hotkey_9_key=114

Hotkey_9_mask=12

Hotkey_9_type=0

NumHotkeys=10

[gtkui]
column_expand=1,1,1,0,0,1

column_widths=10,319,193,10,218,175,10,100,36,68,275,275,275,52,275

player_height=612

player_width=909

player_x=1966

player_y=70

playlist_columns=title artist length bitrate genre comment

[gtkui-layout]

item0_name=LyricWiki Plugin

item0_pos=-1,1988,206,692,704

item1_name=Complemento de LyricWiki

item1_pos=-1,810,381,375,492

item2_name=Analizador de espectro

item2_pos=-1,2892,233,264,164

item3_name=OpenGL Spectrum Analyzer

item3_pos=-1,2893,233,296,196

item4_name=Herramienta de búsqueda

item4_pos=-1,2823,59,289,189

item5_name=Gestor de listas de reproducción

item5_pos=-1,2079,339,576,196

item6_name=Borroso

item6_pos=-1,857,136,770,137

item_count=7

[history]

entry0=http://playlist.php

[notify]

actions=FALSE

[resample]

method=0

[skins]

equalizer_x=2369

equalizer_y=315

player_x=2334

player_y=125

playlist_height=261

playlist_width=775

playlist_x=2334

playlist_y=241

skin=/usr/share/audacious/Skins/Refugee

timer_mode=1

vis_type=1

[skins-layout]

lyricwiki=2005,336,1069,613

2) As you can see at the end of output, it says cannot find trash folder. The folder where the files are, is an NFS shared folder, with r/w privileges. I'm

working on KDE.

audacious V

INFO dbus-server.cc:829 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:375 [main]: No remote session; starting up.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x16b6c40> buffering enabled for file:///home/.config/audacious/config

INFO vfs.cc:111 [VFSFile]: <0x16b6c40> open (mode r) file:///home/.config/audacious/config

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/gio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/mms.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/neon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx3.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/audpl.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/cue.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/m3u.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/pls.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/xspf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/adplug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/amidi-plug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/cdaudio-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/console.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/ffaudio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/flacng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/madplug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/metronom.so
INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/psf2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sid.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sndfile.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/tonegen.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vorbis.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vtx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/wavpack.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/xsf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/aac-raw.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/alsa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/jack-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/oss4.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/pulse_audio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/qtaudio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/sdlout.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/filewriter.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/bs2b.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/compressor.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crossfade.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crystalizer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/echo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/ladspa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/mixer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/resample.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/silence-removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/sox-resampler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/speed-pitch.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/stereo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/voice_removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/alarm.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/albumart-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/albumart.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/aosd.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/cd-menu-items.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/delete-files.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gnomeshortcuts.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gtkui.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/hotkey.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lirc.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyricwiki-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyricwiki.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/mpris2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/notify.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/playlist-manager-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/playlist-manager.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/qtui.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/scrobbler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/search-tool-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/search-tool.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song-info-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song_change.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statusicon-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statusicon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/blur_scope.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/cairo-spectrum.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/gl-spectrum-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/gl-spectrum.so

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: gl-spectrum-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: albumart-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: lyricwiki-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: playlist-manager-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: search-tool-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: statusicon-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: song-info-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: skins-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: qtui

INFO plugin-init.cc:177 [start_plugins]: Starting Convertidor de frecuencia de muestreo.

INFO plugin-init.cc:177 [start_plugins]: Starting Fundido de audio.

INFO plugin-init.cc:126 [start_required]: Starting selected output plugin Salida JACK.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Output/jack-ng.so.

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/.config/audacious/playlists/1001.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Listas de reproducción de Audacious (audpl).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Container/audpl.so.
INFO probe-buffer.cc:31 [ProbeBuffer]: <0x16cc5e0> buffering enabled for file:///home/.config/audacious/playlists/1001.audpl

INFO vfs.cc:111 [VFSFile]: <0x16cc5e0> open (mode r) file:///home/.config/audacious/playlists/1001.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/.config/audacious/playlists/1002.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Listas de reproducción de Audacious (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x16cec20> buffering enabled for file:///home/.config/audacious/playlists/1002.audpl

INFO vfs.cc:111 [VFSFile]: <0x16cec20> open (mode r) file:///home/.config/audacious/playlists/1002.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/.config/audacious/playlists/1000.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Listas de reproducción de Audacious (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x16d9590> buffering enabled for file:///home/.config/audacious/playlists/1000.audpl

INFO vfs.cc:111 [VFSFile]: <0x16d9590> open (mode r) file:///home/.config/audacious/playlists/1000.audpl

INFO probe-buffer.cc:54 [release_buffer]: <0x16d9590> buffering disabled for file:///home/.config/audacious/playlists/1000.audpl

INFO plugin-init.cc:177 [start_plugins]: Starting Atajos de teclado globales.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/hotkey.so.

INFO probe.cc:62 [aud_file_find_decoder]: Probing file:///home/M%C3%BAsica/Pendientes/renombrar/

%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Braxton%20-%20Get%20Loose.mp3.

INFO probe.cc:87 [aud_file_find_decoder]: Matched Complemento MPG123 by extension.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/madplug.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7fb0c8002300> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO vfs.cc:111 [VFSFile]: <0x7fb0c8002300> open (mode r)

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO probe-buffer.cc:54 [release_buffer]: <0x7fb0c8002300> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO probe-buffer.cc:138 [fseek]: <0x7fb0c8002300> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO plugin-init.cc:177 [start_plugins]: Starting Borrar archivos.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/delete-files.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Notificaciones de escritorio.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/notify.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Servidor MPRIS 2.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/mpris2.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Ítems de menú de CD de audio.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/cd-menu-items.so.

INFO plugin-init.cc:126 [start_required]: Starting selected interface plugin Interfaz GTK.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/gtkui.so.

INFO interface.cc:68 [interface_load]: Loading Interfaz GTK.

INFO probe-buffer.cc:54 [release_buffer]: <0x7fb0c8002300> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO probe-buffer.cc:138 [fseek]: <0x7fb0c8002300> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

INFO effect.cc:63 [effect_start]: Starting Convertidor de frecuencia de muestreo at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Effect/resample.so.

INFO effect.cc:63 [effect_start]: Starting Fundido de audio at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Effect/crossfade.so.

INFO output.cc:175 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.

WARNING jack-ng.cc:82 [error_cb]: Cannot lock down 86605722 byte memory area (No se pudo asignar memoria)

WARNING jack-ng.cc:82 [error_cb]: Cannot use real-time scheduling (RR/5)(1: Operación no permitida)

WARNING jack-ng.cc:82 [error_cb]: JackClient::AcquireSelfRealTime error

INFO output.cc:469 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:470 [output_set_replay_gain]:  album gain: 0,000000 dB

INFO output.cc:471 [output_set_replay_gain]:  album peak: 0,000000

INFO output.cc:472 [output_set_replay_gain]:  track gain: 0,000000 dB

INFO output.cc:473 [output_set_replay_gain]:  track peak: 0,000000

WARNING pixbufs.cc:112 [audgui_pixbuf_from_data]: While loading pixbuf: Error interpreting JPEG image file (Application transferred too few

scanlines)

INFO probe-buffer.cc:54 [release_buffer]: <0x7fb0c8002300> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/-%20Anotar%20albumes/Toni%20Braxton/Singles/%282009%29%20Get%20Loose/Toni%20Brax

ton%20-%20Get%20Loose.mp3

WARNING pixbufs.cc:112 [audgui_pixbuf_from_data]: While loading pixbuf: Error interpreting JPEG image file (Application transferred too few

scanlines)

Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

INFO interface.cc:85 [interface_unload]: Unloading Interfaz GTK.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Atajos de teclado globales.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Borrar archivos.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Notificaciones de escritorio.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Servidor MPRIS 2.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Ítems de menú de CD de audio.
INFO playlist-files.cc:128 [save_to_file]: Saving playlist file:///home/.config/audacious/playlists/1003.audpl.

INFO vfs.cc:111 [VFSFile]: <0x16b0aa0> open (mode w) file:///home/.config/audacious/playlists/1003.audpl

INFO plugin-init.cc:207 [stop_plugins]: Shutting down Salida JACK.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Convertidor de frecuencia de muestreo.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Fundido de audio.

INFO vfs.cc:111 [VFSFile]: <0x1e085c0> open (mode w) file:///home/.config/audacious/config

falele@Projects:~> audacious -V

INFO dbus-server.cc:829 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:375 [main]: No remote session; starting up.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0xc17c00> buffering enabled for file:///home/.config/audacious/config

INFO vfs.cc:111 [VFSFile]: <0xc17c00> open (mode r) file:///home/.config/audacious/config

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/gio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/mms.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/neon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx3.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/audpl.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/cue.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/m3u.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/pls.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/xspf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/adplug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/amidi-plug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/cdaudio-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/console.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/ffaudio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/flacng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/madplug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/metronom.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/psf2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sid.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sndfile.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/tonegen.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vorbis.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vtx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/wavpack.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/xsf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/aac-raw.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/alsa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/jack-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/oss4.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/pulse_audio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/qtaudio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/sdlout.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/filewriter.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/bs2b.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/compressor.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crossfade.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crystalizer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/echo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/ladspa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/mixer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/resample.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/silence-removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/sox-resampler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/speed-pitch.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/stereo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/voice_removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/alarm.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/albumart-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/albumart.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/aosd.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/cd-menu-items.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/delete-files.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gnomeshortcuts.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gtkui.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/hotkey.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lirc.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyricwiki-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyricwiki.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/mpris2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/notify.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/playlist-manager-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/playlist-manager.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/qtui.so
INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/scrobbler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/search-tool-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/search-tool.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song-info-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song_change.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statusicon-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statusicon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/blur_scope.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/cairo-spectrum.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/gl-spectrum-qt.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/gl-spectrum.so

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: gl-spectrum-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: albumart-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: lyricwiki-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: playlist-manager-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: search-tool-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: statusicon-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: song-info-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: skins-qt

INFO plugin-registry.cc:449 [operator()]: Incompatible plugin flags: qtui

INFO plugin-init.cc:177 [start_plugins]: Starting Convertidor de frecuencia de muestreo.

INFO plugin-init.cc:177 [start_plugins]: Starting Fundido de audio.

INFO plugin-init.cc:126 [start_required]: Starting selected output plugin Salida JACK.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Output/jack-ng.so.

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/.config/audacious/playlists/1003.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Listas de reproducción de Audacious (audpl).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Container/audpl.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0xc2d3f0> buffering enabled for file:///home/.config/audacious/playlists/1003.audpl

INFO vfs.cc:111 [VFSFile]: <0xc2d3f0> open (mode r) file:///home/.config/audacious/playlists/1003.audpl

INFO plugin-init.cc:177 [start_plugins]: Starting Atajos de teclado globales.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/hotkey.so.

INFO probe.cc:62 [aud_file_find_decoder]: Probing

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3.

INFO probe.cc:87 [aud_file_find_decoder]: Matched Complemento MPG123 by extension.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/madplug.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7fe42c0022f0> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO vfs.cc:111 [VFSFile]: <0x7fe42c0022f0> open (mode r)

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO probe-buffer.cc:54 [release_buffer]: <0x7fe42c0022f0> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO probe-buffer.cc:138 [fseek]: <0x7fe42c0022f0> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO probe-buffer.cc:54 [release_buffer]: <0x7fe42c0022f0> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO probe-buffer.cc:138 [fseek]: <0x7fe42c0022f0> buffering enabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO effect.cc:63 [effect_start]: Starting Convertidor de frecuencia de muestreo at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Effect/resample.so.

INFO effect.cc:63 [effect_start]: Starting Fundido de audio at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/Effect/crossfade.so.

INFO output.cc:175 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.

WARNING jack-ng.cc:82 [error_cb]: Cannot lock down 86605722 byte memory area (No se pudo asignar memoria)

WARNING jack-ng.cc:82 [error_cb]: Cannot use real-time scheduling (RR/5)(1: Operación no permitida)

WARNING jack-ng.cc:82 [error_cb]: JackClient::AcquireSelfRealTime error

INFO plugin-init.cc:177 [start_plugins]: Starting Borrar archivos.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/delete-files.so.

INFO output.cc:469 [output_set_replay_gain]: Replay Gain info:

INFO output.cc:470 [output_set_replay_gain]:  album gain: 0,000000 dB

INFO output.cc:471 [output_set_replay_gain]:  album peak: 0,000000

INFO output.cc:472 [output_set_replay_gain]:  track gain: 0,000000 dB

INFO output.cc:473 [output_set_replay_gain]:  track peak: 0,000000

INFO probe-buffer.cc:54 [release_buffer]: <0x7fe42c0022f0> buffering disabled for

file:///home/M%C3%BAsica/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin%20%28mp3linova.net%29.mp3

INFO plugin-init.cc:177 [start_plugins]: Starting Notificaciones de escritorio.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/notify.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Servidor MPRIS 2.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/mpris2.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Ítems de menú de CD de audio.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/cd-menu-items.so.

INFO plugin-init.cc:126 [start_required]: Starting selected interface plugin Interfaz GTK.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/gtkui.so.

INFO interface.cc:68 [interface_load]: Loading Interfaz GTK.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

ERROR util.cc:304 [audgui_simple_message]: Error moviendo

/home/Música/Pendientes/renombrar/bobina_no_substitute_for_you_feat_betsie_larkin (mp3linova.net).mp3 a la papelera: No se pudo encontrar o

crear la carpeta de la papelera.

Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

#4 - January 16, 2018 02:38 - John Lindgren

- Status changed from New to Rejected

"No se pudo encontrar o crear la carpeta de la papelera" (Google Translate: "The trash folder could not be found or created") is an error coming from

GLib.  It could be caused by insufficient permissions, that's my guess.  Not our bug, anyway.

#5 - January 16, 2018 21:48 - Rafael Linux User

Let me say first of all that I'm sorry I didn't notice the message was in Spanish, my fault ;)

I take my time to check which is the problem. Any program (Dolphin, Puddletag, Ocenaudio, ...) can read/write (and delete from Puddletag too)

without any issue files stored in that NFS folder. Anyway, there is an error in the deletion service of Audacious: It doesn't warn user about the task

was not succesfully done. Instead, Audacious delete the song entry from the playlist and the user assumes the work is done. It should warn the user

that the task is failing.

In my case, Audacious is trying to send the file to the trash folder but, for some reason, it is not able, so I solved this issue with a trick: I configured the

Audacious "Delete fles" service to delete the file inmediately, instead of try to move to trash folder.

Should I open a distinct title bug for this issue?

#6 - January 17, 2018 01:46 - John Lindgren

Rafael Linux User wrote:

Any program (Dolphin, Puddletag, Ocenaudio, ...) can read/write (and delete from Puddletag too) without any issue files stored in that NFS

folder.

 

Irrelevant.  If GLib cannot trash the file it's not our bug.  Talk to the GLib developers.

Anyway, there is an error in the deletion service of Audacious: It doesn't warn user about the task was not succesfully done.

 

The log proves you wrong.  It did warn you.

Instead, Audacious delete the song entry from the playlist

 

We should probably not delete the song from the playlist in that case, I agree.
#7 - January 17, 2018 13:04 - Rafael Linux User

John Lindgren wrote:

Irrelevant.  If GLib cannot trash the file it's not our bug.  Talk to the GLib developers.

 

Glib developers provide exception handlers, but is the programmer who must manage those exceptions.

The log proves you wrong.  It did warn you.

 

I'm not wrong. I said "... there is an error in the deletion service of Audacious: It doesn't warn user ..." USER, not developer or programmer of

Audacious. As user, I will never launch "audacious -V" to guess what's going wrong. As user, I only trust that Audacious will do what I order and, in

this case, there is no warning from Audacious to the simple USER about things went wrong. So I'm not wrong about what I told as user.

We should probably not delete the song from the playlist in that case, I agree.

 

That should is enough for users and will solve the issue, but I'm sure is a lot of work for Audacious developers, so thanks in advance for your work,

sincerely.

#8 - January 17, 2018 13:58 - John Lindgren

- File Screenshot_2018-01-17_07-55-13.png added

#9 - January 17, 2018 14:00 - John Lindgren

Rafael Linux User wrote:

As user, I will never launch "audacious -V" to guess what's going wrong.

 

The log shows that audgui_simple_message() displayed an error message to you, like this one:

 Screenshot_2018-01-17_07-55-13.png 

Did you ignore that?  Or maybe your desktop environment is broken and hid it from you?

May 04, 2025 9/11



#10 - January 17, 2018 14:05 - John Lindgren

Rafael Linux User wrote:

As user, I will never launch "audacious -V" to guess what's going wrong.

 

Also, if you can't be troubled with basic diagnostics like looking at a log file, stop filing bug reports.  It's a waste of my time.

#11 - January 18, 2018 01:52 - Rafael Linux User

- File Audacious - Can_t remove file.png added

John Lindgren wrote:

Did you ignore that?  Or maybe your desktop environment is broken and hid it from you?

 

After several test, I discovered that a similar window appear, but behind the main Audacious (I usually use GTK interfaz), so my apologies about I

didn't realize that fact. If it would have noticed that fact before, I would have told it you in my very first post. I don't like to make anyone waste his time.

Also, if you can't be troubled with basic diagnostics like looking at a log file, stop filing bug reports. It's a waste of my time.

 

Please, do not misunderstand my words. I'm not troubled with basic diagnostics. I always hear developers words and try to help them following

instructions to find out what they need to know. If I'm here, is for notify developers about an issue that I would like to help (like an user) to fix,

contributing all info that you require from me.

You took my words in a way not related about I was talking about. I tried to explain you that something is not working fine but it seems you blame me

for say, IMHO, logical reasoning, when you said me I was WRONG. But if you can't see that fact, I can't do anything else about it.

Anyway, thank you for wasting your time with my report. Audacious will continue being for me the best audio player despite we don't see thing from

the same point of view.

#12 - January 18, 2018 03:56 - John Lindgren

I appreciate the desire to help.  Just try to investigate a little more on your own first the next time.
